What are the system requirements for the IntelCenter Database (ICD)?

The IntelCenter Database (ICD) requires:

• Internet connection
• Computer, tablet or smart phone (compatible with both iPhone/iPad and Droid devices)
• Compatible Browsers:

  • Internet Explorer (IE) v10 or newer
  • Safari v6.1 or newer
  • Chrome v27 or newer
  • (will work with Firefox v26 or newer but not recommended)

Microsoft Silverlight plugin is required for ArcGIS integration only
• Video player uses Adobe Flash or HTML5 based on what is available

Have more questions? Submit a request

Comments